Package jnr.constants.platform.linux.powerpc64

# Enum Signal

java.lang.Object
java.lang.Enum<Signal>
jnr.constants.platform.linux.powerpc64.Signal

All Implemented Interfaces:
  `Serializable`, `Comparable<Signal>`, `java.lang.constant.Constable`, `Constant`

public enum Signal extends Enum<Signal> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NSIG`
`SIGABRT`
`SIGALRM`
`SIGBUS`
`SIGCHLD`
`SIGCLD`
`SIGCONT`
`SIGFPE`
`SIGHUP`
`SIGILL`
`SIGINT`
`SIGIO`
`SIGIOT`
`SIGKILL`
`SIGPIPE`
`SIGPOLL`
`SIGPROF`
`SIGPWR`
`SIGQUIT`
`SIGRTMAX`
`SIGRTMIN`
`SIGSEGV`
`SIGSTKFLT`
`SIGSTOP`
`SIGSYS`
`SIGTERM`
`SIGTRAP`
`SIGTSTP`
`SIGTTIN`
`SIGTTOU`
`SIGURG`
`SIGUSR1`
`SIGUSR2`
`SIGVTALRM`
`SIGWINCH`
`SIGXCPU`
`SIGXFSZ`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static Signal`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Signal[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### SIGHUP

public static final Signal SIGHUP

### SIGINT

public static final Signal SIGINT

### SIGQUIT

public static final Signal SIGQUIT

### SIGILL

public static final Signal SIGILL

### SIGTRAP

public static final Signal SIGTRAP

### SIGABRT

public static final Signal SIGABRT

### SIGIOT

public static final Signal SIGIOT

### SIGBUS

public static final Signal SIGBUS

### SIGFPE

public static final Signal SIGFPE

### SIGKILL

public static final Signal SIGKILL

### SIGUSR1

public static final Signal SIGUSR1

### SIGSEGV

public static final Signal SIGSEGV

### SIGUSR2

public static final Signal SIGUSR2

### SIGPIPE

public static final Signal SIGPIPE

### SIGALRM

public static final Signal SIGALRM

### SIGTERM

public static final Signal SIGTERM

### SIGSTKFLT

public static final Signal SIGSTKFLT

### SIGCLD

public static final Signal SIGCLD

### SIGCHLD

public static final Signal SIGCHLD

### SIGCONT

public static final Signal SIGCONT

### SIGSTOP

public static final Signal SIGSTOP

### SIGTSTP

public static final Signal SIGTSTP

### SIGTTIN

public static final Signal SIGTTIN

### SIGTTOU

public static final Signal SIGTTOU

### SIGURG

public static final Signal SIGURG

### SIGXCPU

public static final Signal SIGXCPU

### SIGXFSZ

public static final Signal SIGXFSZ

### SIGVTALRM

public static final Signal SIGVTALRM

### SIGPROF

public static final Signal SIGPROF

### SIGWINCH

public static final Signal SIGWINCH

### SIGPOLL

public static final Signal SIGPOLL

### SIGIO

public static final Signal SIGIO

### SIGPWR

public static final Signal SIGPWR

### SIGSYS

public static final Signal SIGSYS

### SIGRTMIN

public static final Signal SIGRTMIN

### SIGRTMAX

public static final Signal SIGRTMAX

### NSIG

public static final Signal NSIG

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static Signal[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Signal valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<Signal>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`